import { Account, Category, Transaction, User } from "./database"
import { MonthlyReport } from "./controller/models/MonthlyReport"



export async function testData(User:any,Category:any,Account:any,MonthlyReport:any){
    await User.create({
        Name: "Max Mustermann",
        Email: "test@test.de",
        Password: "sdfsf"
    })
    await Category.create({
        Name: "Allgemein",
        Description: null
    })
    await Category.create({
        Name:"Server",
        Description:"Server"
    })
    await Category.create({
        Name:"Games",
        Description:"Games"
    })
    await Category.create({
        Name:"Server/Netcup",
        Description:""
    })
    await Category.create({
        Name:"Server/GPortal",
        Description:""
    })
    await Category.create({
        Name:"Discord",
        Description:""
    })
    await Category.create({
        Name:"Games/WarThunder"
    })
    await Category.create({
        Name:"Games/Steam"
    })
    await Category.create({
        Name:"Games/League"
    })
    await Account.create({
        Name:"None"
    })
    await Account.create({
        Name:"Bar"
    })
    await Account.create({
        Name:"Girokonto"
    })
    
    let z = await Transaction.create({
        Amount:50.0,
        Date:new Date(),
        Type:"expense",
        //@ts-ignore
        UserID: 1, // Associate the transaction with the user
        //@ts-ignore
        CategoryID: 1,
    })


    await Transaction.create({
        Amount:10.0,
        Date:new Date(),
        Type:"expense",
        //@ts-ignore
        UserID: 1, // Associate the transaction with the user
        //@ts-ignore
        CategoryID: 1,
    })
    await Transaction.create({
        Amount:60.0,
        Date:new Date(),
        Type:"income",
        //@ts-ignore
        UserID: 1, // Associate the transaction with the user
        //@ts-ignore
        CategoryID: 1,
    })
    await Transaction.create({
        Amount:60.0,
        Date:new Date(),
        Type:"expense",
        //@ts-ignore
        UserID: 1, // Associate the transaction with the user
        //@ts-ignore
        CategoryID: 2,
    })

    await Transaction.transferAmountFromTo(1,1,2,50);

    
    let x = await Transaction.getTotalAmountForUser(1)
    await Transaction.transferAmountFromTo(1,1,2,50);
    //console.log(x)
}